/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_is_prime.c                                      :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: jahuang <marvin@42.fr>                     +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2020/10/25 11:46:20 by jahuang           #+#    #+#             */
/*   Updated: 2020/10/25 15:41:16 by jahuang          ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

int		ft_is_prime(int nb)
{
	int i;
	int max;

	i = 2;
	max = 46341;
	if (nb <= 1)
		return (0);
	while (i < nb / 2 && i < max)
	{
		if (nb % i == 0)
			return (0);
		i++;
	}
	return (1);
}
